Page MenuHomePhabricator

Fix layout issues on ULS (in Vector) to be closer aligned to WikimediaUI Style Guide
Open, HighPublic

Description

As a follow-up to T174237 we should also care about minor misalignments of ULS settings dialog.

  • Font-size of dialog (widgets) in Vector. We should aim for 14px base font-size equivalent, similar to OOUI in MW core – https://gerrit.wikimedia.org/r/387970
  • Headlines too light gray. We should aim for equivalence with Notifications/Alerts dialog
  • Box shadow too strong, let's go for standard box-shadow-dialog instead
  • Close icon not following WikimediaUI icon set. See also T50067
  • Confirmation buttons are too far left, using wider grid column should solve this – https://gerrit.wikimedia.org/r/387974
  • Putting Language settings headline a bit higher and closing the gap between close button row and contents
  • Vertical gaps on EN:WP due to style rules lurking into dialog
BeforeWith proposed patches applied

Event Timeline

Volker_E created this task.Sep 7 2017, 6:04 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptSep 7 2017, 6:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Volker_E renamed this task from Fix minor layout issues on ULS to be aligned with WikimediaUI Style Guide to Fix minor layout issues on ULS to be closer aligned to WikimediaUI Style Guide.Sep 7 2017, 6:04 PM
Volker_E triaged this task as Normal priority.

Change 376648 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Use consistent close icon

https://gerrit.wikimedia.org/r/376648

Change 376656 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Follow core base font-size in Vector

https://gerrit.wikimedia.org/r/376656

Change 376659 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Align box shadow and colors to WikimediaUI Style Guide

https://gerrit.wikimedia.org/r/376659

Change 376648 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Use consistent close icon

https://gerrit.wikimedia.org/r/376648

Change 376656 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Follow core base font-size in Vector

https://gerrit.wikimedia.org/r/376656

Change 376659 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Align box shadow and colors to WikimediaUI Style Guide

https://gerrit.wikimedia.org/r/376659

Volker_E renamed this task from Fix minor layout issues on ULS to be closer aligned to WikimediaUI Style Guide to Fix minor layout issues on ULS (in Vector) to be closer aligned to WikimediaUI Style Guide.Sep 20 2017, 4:44 PM
Volker_E updated the task description. (Show Details)

Change 387970 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Introduce CSS class to enable lower specificity style overrides

https://gerrit.wikimedia.org/r/387970

Change 387974 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Move buttons further to the side of dialog

https://gerrit.wikimedia.org/r/387974

Volker_E updated the task description. (Show Details)Nov 2 2017, 3:11 AM

Change 387975 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove spacing to visually connect arbitrary separated parts

https://gerrit.wikimedia.org/r/387975

Volker_E updated the task description. (Show Details)Nov 2 2017, 5:09 AM

Change 387976 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Move “Language settings” dialog headline up

https://gerrit.wikimedia.org/r/387976

Volker_E updated the task description. (Show Details)Nov 2 2017, 5:23 AM
Volker_E renamed this task from Fix minor layout issues on ULS (in Vector) to be closer aligned to WikimediaUI Style Guide to Fix layout issues on ULS (in Vector) to be closer aligned to WikimediaUI Style Guide.
Volker_E moved this task from Backlog to Review on the UI-Standardization-Kanban board.
Volker_E raised the priority of this task from Normal to High.

Change 387970 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Introduce CSS class to enable lower specificity style overrides

https://gerrit.wikimedia.org/r/387970

Change 387974 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Move buttons further to the side of dialog

https://gerrit.wikimedia.org/r/387974

Change 387976 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Move “Language settings” dialog headline up

https://gerrit.wikimedia.org/r/387976

Volker_E updated the task description. (Show Details)Jan 26 2018, 6:43 PM

@Volker_E, is there more work planned for this ticket from your side?

Arrbee moved this task from Blocked to Backlog on the Language-2018-Jan-Mar board.Mar 19 2018, 7:07 AM

@Pginer-WMF On English Wikipedia there's still the vertical gaps resulting in “external“ CSS from Common.css. See discussion at https://gerrit.wikimedia.org/r/#/c/387975/1

My latest understanding was that @santhosh looks into tackling this…

Volker_E reassigned this task from Volker_E to santhosh.Mar 24 2018, 12:17 AM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
santhosh removed santhosh as the assignee of this task.Mar 26 2018, 3:49 AM

We are not planning to look into this for now since we are focussed on some other projects. So unassigning for now.